openscap-utils-1.3.0-220.1.i586.rpm


Advertisement

Description

openscap-utils - Openscap utilities

Property Value
Distribution openSUSE Tumbleweed
Repository Security all
Package filename openscap-utils-1.3.0-220.1.i586.rpm
Package name openscap-utils
Package version 1.3.0
Package release 220.1
Package architecture i586
Package type rpm
Category System/Monitoring
Homepage http://www.open-scap.org/
License LGPL-2.1-or-later
Maintainer -
Download size 89.36 KB
Installed size 160.37 KB
The openscap-utils package contains various utilities based on openscap library.

Alternatives

Package Version Architecture Repository
openscap-utils-1.3.0-220.1.x86_64.rpm 1.3.0 x86_64 Security
openscap-utils-1.3.0-2.1.x86_64.rpm 1.3.0 x86_64 openSUSE Oss
openscap-utils-1.3.0-2.1.i586.rpm 1.3.0 i586 openSUSE Oss
openscap-utils - - -

Requires

Name Value
/bin/bash -
/usr/bin/python3 -
coreutils -
diffutils -
fillup -
grep -
libc.so.6(GLIBC_2.4) -
libopenscap.so.25 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
openscap = 1.3.0-220.1
systemd -

Provides

Name Value
openscap-utils = 1.3.0-220.1
openscap-utils(x86-32) = 1.3.0-220.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package openscap-utils-1.3.0-220.1.i586.rpm
Source Package openscap-1.3.0-220.1.src.rpm

Install Howto

  1. Add the Security repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/security/openSUSE_Tumbleweed/ security
  2. Install openscap-utils rpm package:
    # zypper install openscap-utils

Files

Path
/usr/bin/oscap
/usr/bin/oscap-chroot
/usr/bin/oscap-scan
/usr/bin/oscap-ssh
/usr/bin/oscap-vm
/usr/bin/scap-as-rpm
/usr/lib/systemd/system/oscap-scan.service
/usr/sbin/rcoscap-scan
/usr/share/bash-completion/completions/oscap
/usr/share/doc/packages/openscap-utils/oscap-scan.cron
/usr/share/fillup-templates/sysconfig.oscap-scan
/usr/share/man/man8/oscap-chroot.8.gz
/usr/share/man/man8/oscap-docker.8.gz
/usr/share/man/man8/oscap-ssh.8.gz
/usr/share/man/man8/oscap-vm.8.gz
/usr/share/man/man8/oscap.8.gz
/usr/share/man/man8/scap-as-rpm.8.gz

Changelog

2019-03-26 - Robert Frohl <rfrohl@suse.com>
- obsolete removed packages: openscap-engine-sce and openscap-extra-probes
2019-03-25 - Bjørn Lie <bjorn.lie@gmail.com>
- Drop gconf2-devel BuildRequires: It is not mandatory, so lets
build without this obsolete package.
- Add pkgconfig(glib-2.0) and pkgconfig(gobject-2.0) BuildRequires:
They are also optional, but not obsolete, and previously pulled
in via gconf2-devel dependency, so lets build support for them.
2018-10-19 - Robert Frohl <rfrohl@suse.com>
- openscap-1.3.0
- New features
- Introduced a virtual '(all)' profile selecting all rules
- Verbose mode is a global option in all modules
- Added Microsoft Windows CPEs
- oscap-ssh can supply SSH options into an environment variable
- Maintenance
- Removed SEXP parser
- Added Fedora 30 CPE
- Fixed many Coverity defects (memory leaks etc.)
- SCE builds are enabled by default
- Moved many low-level functions out of public API
- Removed unused and dead code
- Updated manual pages
- Numerous small fixes
- xinetd_probe.patch: fix trailing whitespace in config
- test_probes_rpmverifypackage-disable-epoch-test.patch: fix rpmverifypackage unit test
- sysctl_unittest.patch: fix sysctl unit test
- rpmverifyfile_unittest.patch: fix rpmverifyfile unit test
- rpmverify_unittest.patch: fix rpmverify unit test
- openscap-xattr.patch: removed, included by upstream
2018-09-12 - meissner@suse.com
- openscap-xattr.patch: build against new libattr
2018-06-07 - meissner@suse.com
- scap-yast2sec-xccdf.xml: remove platform cpe match, as it is impossible
to match both opensuse and sles or official suse_linux_enterprise_server
names at once. (bsc#1091040)
2018-05-29 - meissner@suse.com
- openscap-1.2.17
- New features
- HTML Guide user experience improvements
- New options in HTML report "Group By" menu
- oscap-ssh supports --oval-results (issue #863)
- Maintenance
- Support comparing state record elements with item
- Updated Bash completion
- Make Bash role headers consistent with --help output
- Fixed problems reported by Coverity (issue #909)
- Fixed CVE schema to support 4 to 7 digits CVEs
- Fix output of generated bash role missing fix message
- Fix oscap-docker to clean up temporary image (RHBZ #1454637)
- Fix Ansible remediations generation
- Add a newline between ids in xccdf info (issue #968)
- Fix unknown subtype handling in oval_subtype_parse (issue #986)
- Outsourced the pthreads feature check and setup
- Speed up in debug mode
- Refactored the Python handling in build scripts
- Prevent reading from host in offline mode (issue #1001)
- Many probes use OWN offline mode
- Improve offline mode logic in OVAL probes
- Do not use chroot in system_info probe
- Prevent a segfault in oscap_seterr on Solaris
- Out of tree build is possible
- Use chroot for RPM probes in offline mode
- PEP8 accepts lines up to 99 characters
- New configure parameter --with-oscap-temp-dir (issue #1016)
- Fixed OVAL record elements namespace and SEXP conversion
- Removed '\r' characters from help output (issue #1023)
- Full Python 3 compatibility
- Removed basic Python implementation of oval_probes.c
- Added support for Travis CI and Sonar Cloud
- Minor fixes inspired by Sonar Cloud
- Added Fedora 29 CPE
- New tests in upstream test suite (offline mode, Ansible, etc.)
2018-04-26 - meissner@suse.com
- openscap-new-suse.patch: handle SLE15 and openSUSE Leap 42.3 and 15.0
(bsc#1091040)
2018-03-05 - jengelh@inai.de
- Replace old $RPM_* shell vars.
2018-03-05 - meissner@suse.com
- replace oscap-scan.init by oscap-scan.service, add a /usr/bin/oscap-scan
helper tool for this. (bsc#1083115)
2018-02-22 - meissner@suse.com
- disable scap-as-rpm binary to avoid python2 dependency. (bsc#1082135)

See Also

Package Description
ovaldi-5.10.1.7-2.37.i586.rpm The OVAL reference interpreter
ovaldi-5.10.1.7-2.37.x86_64.rpm The OVAL reference interpreter
owasp-modsecurity-crs-2.2.9-13.9.noarch.rpm OWASP ModSecurity Common Rule Set (CRS)
owasp-modsecurity-crs-base_rules-2.2.9-13.9.noarch.rpm Base rules for OWASP ModSecurity CRS
owasp-modsecurity-crs-experimental_rules-2.2.9-13.9.noarch.rpm Experimental rules for OWASP ModSecurity CRS
owasp-modsecurity-crs-optional_rules-2.2.9-13.9.noarch.rpm Optional rules for OWASP ModSecurity CRS
owasp-modsecurity-crs-slr_rules-2.2.9-13.9.noarch.rpm SpiderLabs Research (SLR) rules for OWASP ModSecurity CRS
pam-google-authenticator-1.0-3.40.i586.rpm Two-Factor Authentication Module that uses Google Authenticator
pam-google-authenticator-1.0-3.40.x86_64.rpm Two-Factor Authentication Module that uses Google Authenticator
pam-google-authenticator-32bit-1.0-3.40.x86_64.rpm Two-Factor Authentication Module that uses Google Authenticator
pam-python-1.0.6-13.12.i586.rpm PAM module that allows PAM modules to be written in Python
pam-python-1.0.6-13.12.x86_64.rpm PAM module that allows PAM modules to be written in Python
pam_duo-1.9.18-1.21.i586.rpm A PAM module for duo authentication
pam_duo-1.9.18-1.21.x86_64.rpm A PAM module for duo authentication
pam_fido-u2f-0.0.0+git1420732548.8af92a2-2.44.i586.rpm The PAM module from the U2F toolset
Advertisement
Advertisement